Appearance
Update Share Config
Update an existing share configuration. Requires ADMIN, MANAGE_OBJECTS, MANAGE_FORM, or MANAGE_TASK permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
shareId* | string | The unique identifier of the share config to update |
body.name | string | Updated display name for the share configuration |
body.expiresAt | string | Updated expiration date (ISO 8601) |
body.allowAnonymous | boolean | Updated anonymous access setting |
Return Value
The updated share configuration.
Examples
bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/share-config/:shareId" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Updated Share Name", "allowAnonymous": false}'ENDPOINTS
put
/api/{targetPath}/share-config/:shareId